## org.apache.tools.ant.taskdefs.condition
Interface Condition

All Known Implementing Classes:
  And, Available, Checksum, Contains, Equals, FilesMatch, Http, IsFalse, IsSet, IsTrue, Not, Or, Os, Socket, UpToDate

public interface Condition

Interface for conditions to use inside the <condition> task.

Version:
  $Revision: 1.3.2.1 $
Author:
  Stefan Bodewig

Method Summary
`boolean` `eval()` Is this condition true?

Method Detail

### eval

    public boolean eval()
                 throws BuildException

  Is this condition true?

    `BuildException`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.